import {template} from "../src/templates";
import {Todo} from "../src/Todo";

describe("Check comment generation", () => {

    it("matches desired comment template - file with whitespace name", async () => {

        let filename = "some file.txt";

        const body = template.issue(
            {
                repo: "todo-issue",
                owner: "DerJuulsn",
                body: "Test Comment",
                ...{
                    escapedFilename: encodeURI(filename),
                    filename,
                    keyword: "TODO",
                    assignedToString: "@DerJuulsn",
                    sha: "SHA",
                    range: "L1",
                } as Todo
            });

        expect(body).toEqual(
            "Test Comment\n" +
            "\n" +
            "---\n" +
            "\n" +
            "https://github.com/DerJuulsn/todo-issue/blob/SHA/some%20file.txt#L1\n" +
            "\n" +
            "---\n" +
            "\n" +
            "###### This issue was generated by [todo-issue](https://github.com/DerJuulsn/todo-issue) based on a `TODO` comment in SHA.@DerJuulsn");
    })

})